{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        let showMsg = false;
        let i;
        for (i in boost) {
            if (boost[i] < 0) {
                delete boost[i];
                showMsg = true;
            }
        }
        if (showMsg && !effect.secondaries && effect.id !== "octolock") {
            this.add("-fail", target, "unboost", "[from] ability: White Smoke", "[of] " + target);
        }
    },
    onAllyTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        let showMsg = false;
        let i;
        for (i in boost) {
            if (boost[i] < 0) {
                delete boost[i];
                showMsg = true;
            }
        }
        if (showMsg && !effect.secondaries && effect.id !== "octolock") {
            this.add("-fail", target, "unboost", "[from] ability: White Smoke", "[of] " + target);
        }
    },
    flags: { breakable: 1 },
    name: "White Smoke",
    rating: 2,
    num: 73
}
